¿Qué versiones de PHP están disponibles en DreamHost?

Generalidades

DreamHost tiene preinstaladas las siguientes versiones de PHP en sus servidores:

PHP 8 actualmente solo está disponible en servidores compartidos y los servidores VPS nuevos que corren Debian Buster. Los servidores antiguos que corren Debian Stretch no soportan PHP 8.

Los servidores Debian Stretch serán actualizados pronto a Debian Buster, pero si quieres actualizarlo inmediatamente para tener acceso a PHP 8, tienes dos opciones.

Ten en cuenta que las versiones de PHP se actualizan continuamente. Consulta la siguiente página para ver una línea de tiempo de las versiones de PHP:

Version predeterminada de PHP en un servidor web compartido

Cuando corres el comando php -v en un terminal shell al iniciar sesión en tu servidor, la salida muestra la versión predeterminada actual utilizada.

[server]$ php -v

Si quieres utilizar una versión de PHP diferente en el Shell, deberás especificar la ruta completa del archivo. Usa lo siguiente para PHP 7.2:

[server]$ /usr/local/php74/bin/php -v
PHP 7.4.15 (cli) (built: Feb 18 2021 21:36:17) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
with Zend OPcache v7.4.15, Copyright (c), by Zend Technologies

Estas son las versiones actuales que puede usar a través de SSH. Las versiones anteriores no están disponibles en algunos servidores.

/usr/local/php56/bin/php
/usr/local/php70/bin/php
/usr/local/php71/bin/php
/usr/local/php72/bin/php
/usr/local/php73/bin/php
/usr/local/php74/bin/php
/usr/local/php80/bin/php

Ver también

¿Este artículo ha respondido sus preguntas?

Última actualización el PST.

¿Aún no encuentra lo que busca?